OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPAttr
StepVisual

# StepVisual_SurfaceStyleElementSelect Class Reference

`#include <StepVisual_SurfaceStyleElementSelect.hxx>`

Inheritance diagram for StepVisual_SurfaceStyleElementSelect:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepVisual_SurfaceStyleElementSelect ()
| Returns a SurfaceStyleElementSelect SelectType .
Standard_EXPORT Standard_Integer | CaseNum (const Handle(Standard_Transient)&ent) const
| Recognizes a SurfaceStyleElementSelect Kind Entity that is : 1 -> SurfaceStyleFillArea 2 -> SurfaceStyleBoundary 3 -> SurfaceStyleParameterLine 4 -> SurfaceStyleSilhouette 5 -> SurfaceStyleSegmentationCurve 6 -> SurfaceStyleControlGrid 0 else .
Standard_EXPORT Handle_StepVisual_SurfaceStyleFillArea | SurfaceStyleFillArea () const
| returns Value as a SurfaceStyleFillArea (Null if another type)
Standard_EXPORT Handle_StepVisual_SurfaceStyleBoundary | SurfaceStyleBoundary () const
| returns Value as a SurfaceStyleBoundary (Null if another type)
Standard_EXPORT Handle_StepVisual_SurfaceStyleParameterLine | SurfaceStyleParameterLine () const
| returns Value as a SurfaceStyleParameterLine (Null if another type)

## Constructor & Destructor Documentation

Standard_EXPORT StepVisual_SurfaceStyleElementSelect::StepVisual_SurfaceStyleElementSelect | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Standard_Integer StepVisual_SurfaceStyleElementSelect::CaseNum | ( | const Handle(Standard_Transient)& | ent | ) | const`[virtual]`

| Implements StepData_SelectType.

void StepVisual_SurfaceStyleElementSelect::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_SurfaceStyleElementSelect::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepData_SelectType.

void* StepVisual_SurfaceStyleElementSelect::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepData_SelectType.

Standard_EXPORT Handle_StepVisual_SurfaceStyleBoundary StepVisual_SurfaceStyleElementSelect::SurfaceStyleBoundary | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_SurfaceStyleFillArea StepVisual_SurfaceStyleElementSelect::SurfaceStyleFillArea | ( |  | ) | const

Standard_EXPORT Handle_StepVisual_SurfaceStyleParameterLine StepVisual_SurfaceStyleElementSelect::SurfaceStyleParameterLine | ( |  | ) | const

The documentation for this class was generated from the following file:

- StepVisual_SurfaceStyleElementSelect.hxx